Get balance
Get the balance of a wallet by wallet ID.
SDK methods
Learn more about fetching wallet balances using our SDKs here.Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
ID of the wallet.
Query Parameters
Named asset(s) to query (e.g. eth, usdc). Use together with chain to scope the query. Cannot be used with token.
usdc, usdc.e, eth, avax, pol, usdt, eurc, usdb Chain(s) to query named assets on (e.g. base, ethereum). Use together with asset. Cannot be used with token.
ethereum, arbitrum, avalanche, base, tempo, linea, optimism, polygon, solana, zksync_era, sepolia, arbitrum_sepolia, avalanche_fuji, base_sepolia, linea_testnet, optimism_sepolia, polygon_amoy, solana_devnet, solana_testnet If set, balances are converted to the specified fiat currency. Not supported when token is provided.
usd, eur The token contract address(es) to query in format "chain:address" (e.g., "base:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913" or "solana:EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"). Cannot be used together with asset/chain or with include_currency.
Response
Latest wallet balance.

